# Summary

* [Introduction](introduction.md)
* [Notes and warnings](notes.md)
* [Getting Started](getting-started.md)
* [Configuration](configuration.md)
	* [User information](configuration/user.md)
	* [Git configuration](configuration/git.md)
	* [Repository information](configuration/repository.md)
* [Commits](commits.md)
	* [Fixing commits](commits/fixing.md)
* [Stashing](stashing.md)
* [Collaboration](collaboration.md)
* [Branches](branching.md)
* [Tags](tags.md)
* [Logging](logging.md)

## Examples
* [Updating a fork](example/update-fork.md)
* [Create a new repo from a subdirectory](example/create-new-repo-from-subdirectory.md)

## Related

* [Related links](related.md)
